Patch customer
curl --request PATCH \
--url https://api.example.com/api/v1/customers/{id_or_alias} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"billing_email": "<string>",
"currency": "EUR",
"custom_properties": "<unknown>",
"custom_taxes": [
{
"name": "<string>",
"rate": "<string>",
"tax_code": "<string>"
}
],
"invoicing_emails": [
"<string>"
],
"invoicing_entity_id": "ive_7n42DGM5Tflk9n8mt7Fhc7",
"is_tax_exempt": true,
"name": "<string>",
"phone": "<string>",
"shipping_address": {
"same_as_billing": true,
"address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
}
},
"vat_number": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/customers/{id_or_alias}"
payload = {
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"billing_email": "<string>",
"currency": "EUR",
"custom_properties": "<unknown>",
"custom_taxes": [
{
"name": "<string>",
"rate": "<string>",
"tax_code": "<string>"
}
],
"invoicing_emails": ["<string>"],
"invoicing_entity_id": "ive_7n42DGM5Tflk9n8mt7Fhc7",
"is_tax_exempt": True,
"name": "<string>",
"phone": "<string>",
"shipping_address": {
"same_as_billing": True,
"address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
}
},
"vat_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alias: '<string>',
billing_address: {
city: '<string>',
country: 'US',
line1: '<string>',
line2: '<string>',
state: '<string>',
zip_code: '<string>'
},
billing_email: '<string>',
currency: 'EUR',
custom_properties: '<unknown>',
custom_taxes: [{name: '<string>', rate: '<string>', tax_code: '<string>'}],
invoicing_emails: ['<string>'],
invoicing_entity_id: 'ive_7n42DGM5Tflk9n8mt7Fhc7',
is_tax_exempt: true,
name: '<string>',
phone: '<string>',
shipping_address: {
same_as_billing: true,
address: {
city: '<string>',
country: 'US',
line1: '<string>',
line2: '<string>',
state: '<string>',
zip_code: '<string>'
}
},
vat_number: '<string>'
})
};
fetch('https://api.example.com/api/v1/customers/{id_or_alias}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_properties": "<unknown>",
"custom_taxes": [
{
"name": "<string>",
"rate": "<string>",
"tax_code": "<string>"
}
],
"id": "<string>",
"invoicing_emails": [
"<string>"
],
"invoicing_entity_id": "<string>",
"name": "<string>",
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"billing_email": "<string>",
"connected_account_id": "<string>",
"phone": "<string>",
"shipping_address": {
"same_as_billing": true,
"address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
}
},
"vat_number": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Customers
Patch customer
Partially update a customer. Only provided fields will be updated.
PATCH
/
api
/
v1
/
customers
/
{id_or_alias}
Patch customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
customer ID or alias
Body
application/json
Show child attributes
Show child attributes
Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNH, CNY, COP, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SSP, STD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL Example:
"EUR"
Partial update of custom property values (merge; send a key with null to remove it).
Omit to leave unchanged.
Show child attributes
Show child attributes
Example:
"ive_7n42DGM5Tflk9n8mt7Fhc7"
Show child attributes
Show child attributes
Response
Customer
Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNH, CNY, COP, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SSP, STD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL Example:
"EUR"
User-defined custom property values, keyed by definition key.
Show child attributes
Show child attributes
Example:
"cus_7n42DGM5Tflk9n8mt7Fhc7"
Example:
"ive_7n42DGM5Tflk9n8mt7Fhc7"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I